var AccueilCtrl = function (FilmSvc, $state, $scope, $ionicLoading, $ionicPopup, $ionicModal) {
    this.titre = "Bonjour Ionic !";
    this.films = [];
    this.titreFilm = "";
    this.isLoading = false;

    this.afficherDetails = function (idFilm) {
        $state.go('detailsFilm', { idFilm: idFilm });
    };

    this.nbFilms = function () {
        if (this.films) {
            return this.films.length;
        }
        return 0;
    };

    this.rechercherFilms = function () {
        if (!this.titreFilm || this.titreFilm === "") {
            $ionicPopup.alert({
                title: "Erreur",
                template: "Vous devez saisir le nom d'un film pour débuter la recherche",
                okText: "Compris",
                okType: "button-assertive"
            });
        } else {
            $ionicLoading.show({
                template: '<ion-spinner></ion-spinner><p>Recherche en cours</p>',
                duration: 20000,
                hideOnStateChange: true
            });
            this.films = FilmSvc.getLastFilms(this.titreFilm);
            $ionicLoading.hide();
            $scope.$broadcast('scroll.refreshComplete');
        }
    };

    $ionicModal.fromTemplateUrl('templates/planning-film-modal.html', {
        scope: $scope
    }).then(function (modal) {
        $scope.modal = modal;
    });

    this.ouvrirModalPlanification = function () {
        $scope.modal.show();
    };

    $scope.enregistrerPlanification = function () {
        // Traitement métier à implémenter
        $scope.modal.hide();
    };

    $scope.fermerModale = function () {
        $scope.modal.hide();
    };

    $scope.$on('$destroy', function () {
        $scope.modal.remove();
    });

    this.ajouterFavoris = function () {
        $ionicPopup.confirm({
            title: "Ajouter aux favoris",
            template: "Ajouter ce film aux favoris ?",
            okText: "Oui",
            cancelText: "Non"
        })
            .then(function (result) {
                if (result) {
                    console.log("Ajouté aux favoris");
                }
            });
    };
};